# Master Thesis - Implementation Project - Backend

[Thesis Project](https://gitlab.uni-koblenz.de/jonasblatt/ma-jonasblatt-thesis) of Jonas Blatt in WiSe 19/20 - SoSe20

This project contains all source files of the implementation, created for the master thesis.

- [Backend Project](../dmnverifierapi)

## Frontend
- [Running Frontend Instance](http://dmn.fg-bks.uni-koblenz.de)
- [Metrics for Verifier](http://dmn.fg-bks.uni-koblenz.de/metrics.html)

### Important dependencies
- [dmn-js](https://github.com/bpmn-io/dmn-js)
- [dmn-js-modeler](https://github.com/bpmn-io/dmn-js-examples/tree/master/modeler)
- [jQuery](https://jquery.com/)
- [Select2](https://select2.org/)

### Run Project
- Run in dev mode: `mvn compile quarkus:dev`
- Build executable jar: `mvn clean install`